Subject: Re: Problem installing ARMLinux

From: Russell King <[email-masked]>
Date: Wed, 1 Jul 1998 15:44:54 +0100 (BST)

Copied to the mailing list, so that Phil/other ppl can reply.

Phil, can you shed any light?

Paul Vigay writes:
> From [email-masked]  Wed Jul  1 15:36:24 1998
> X-POP3-Rcpt: rmk@snowcrash
> Newsgroups: comp.sys.acorn.misc,comp.sys.acorn.apps
> Date: Wed, 1 Jul 1998 15:07:17 +0100 (BST)
> From: Paul Vigay <[email-masked]>
> Subject: Problem installing ARMLinux
> cc: [email-masked]
> Message-ID: <[email-masked]>
> MIME-Version: 1.0
> Content-Type: TEXT/PLAIN; CHARSET=US-ASCII
> Organization: Bohunt Community School
> X-Newsreader: ANT RISCOS Marcel [ver 1.45]
> 
> Hi,
> 
> I'm not sure if anyone can help with this problem, but I've been pulling my
> hair out all day with it.
> 
> Basically, I'm trying to install ARMLinux on a spare Risc PC 700 here at work.
> 
> I've got all the relevant root/supplemental discs and suitable kernel etc.
> I've also got the clan CD and Phil Norman's claninstall/zip archive containing
> extra stuff.
> 
> I downloaded the Risc OS zip utility and have moved all the RPM files from the
> x-file on the CD into a suitable zip file which is now stored on my hard disc.
> 
> I created the partitions ok and booted into the kernel ok.
> 
> I then followed Phil Norman's text (all the various Linux commands etc in his
> install file. I presume the line 
> 
> mount -t ext2 /dev/hdb3 hd
> 
> should refer to /dev/dha3 and not b3, which gives an error.
> 
> Also, I presume the four lines;
> tar -xvf /adfs/ARMLinux/base.tar
> tar -xvf /adfs/ARMLinux/instim.tar
> cd ..
> tar -xvf /adfs/ARMLinux/instim.tar
> 
> are correct - ie. the instim.tar gets extracted twice.
> 
> So far so good and I get to the end of his list of commands, hit CTRL-f1 to
> return to the install and carry on. All seems to go ok until the installer
> gets to the location of the installation tree.
> 
> Leaving as /dev/hda3 and a directory of / results in about 500 error messages
> being given, each of which I can bypass by pressing f12. These appear to be
> file not found type errors. Pressing f12 right though them results in getting
> to the rest of the install, where I can initialise swap partition etc and
> eventually get through to the enter password etc and the kernel crash
> mentioned in the instructions.
> 
> At which point I don't appear to have a /mnt/bin/sync so I can't resync the
> drive before I CTRL-ALT-DEL which then reults in !Linux giving the 'invalid
> bmap magic.....' error (FAQ 3.4).
> 
> Any help on getting it working would be appreciated because it appears I have
> done everything correctly. All seems ok apart from the numerous file not found
> type errors whilst Linux is trying to copy the installation.
> -- 
> Paul Vigay                                           Acorn Programming,
>                                     __\\|//__	    Internet Consultancy
> http://www.vigay.mcmail.com         (` o-o ')           & Web Design
> -----------------------------------ooO-(_)-Ooo---------------------------
> Living in a Microsoft Free Zone!
> 

   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |     http://www.arm.uk.linux.org/~rmk/home.html     /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: micm <[email-masked]>
Date: Wed, 01 Jul 1998 04:49:57 +0100

> > bmap magic.....' error (FAQ 3.4).

The 500 error messages bits looks like the installer not finding the rpms so
that it can examine them.

Since it can not find them it cannot install anything and hence there is no
installed version of sync on the hard disc, so its not found........?

Does that sound anything like right?

Mike.

---

From: Phil Norman <[email-masked]>
Date: Wed, 1 Jul 1998 17:48:18 +0100 (BST)

> > should refer to /dev/dha3 and not b3, which gives an error.

This is true.  There are a few mistakes in the guide which I'll fix very
soon.

> > are correct - ie. the instim.tar gets extracted twice.

Yep.  For some bizarre reason the RedHat installer wants instimage in both
RedHat/ and /.  I've been told that this isn't the case and it only
actually has to be in one place, but when I tried it with only one copy of
instimage it kept breaking.

> > file not found type errors. Pressing f12 right though them results in getting

Yes.  I have no idea what this is.  I found that there are two RPMs with
different versions of ncftp.  Removing the older version before
installing, I found, results in far fewer complaints but as far as I know
these complaints are harmless and should not break anything or result in
an unworking installation.

The error messages I know of go something like:

Error: <package name> at line <number>

I think they look like that; it's a fair few weeks since I last
reinstalled armlinux so I can't remember.

> > bmap magic.....' error (FAQ 3.4).

Ouch.  Sync should definately be there.  If it's not, do 'ls -alR /' a few
times to flush the cache out.  It might not be entirely successful so try
doing anything else which requires oodles of memory.  As long as you flush
out all the unwritten data from the write-buffer your filesystem should be
fine.  However, if you don't have sync something is badly wrong.  Are you
sure you've installed everything?  Sync might be in fileutils - I'm not
sure, but make sure you have all the base stuff and sync should be there.

I hope this was some help.  If you have any more problems please let me
know.

-- 
Rule of programming #1: Everything that can go wrong will go wrong,
        except when you're running the debugger.

Phil Norman, mailing from Oregan Networks.
email:	[email-masked]
URL:	http://newton.ex.ac.uk/general/ug/norman